#include "TSDDA.h"

int TSDDA_setValue (TStoixeiouDDA *target, TStoixeiouDDA source){
	if( target==NULL )
		return 0;
	*target=source;
	return 1;
}

int TSDDA_readValue (FILE *from,  TStoixeiouDDA *Elem){
	int i;
	i=fscanf(from, "%s", Elem->key);
	if (i==EOF)
		return 0;
	else
		return 1;
}

int TSDDA_writeValue(FILE *to, TStoixeiouDDA Elem){
	if (fprintf(to, "%s\n", Elem.key)<0)
		return 0;
	return 1;
}


int TSDDA_iso(TStoixeiouDDA s1, TStoixeiouDDA s2){
	if ( strcmp( s1.key, s2.key )==0)
	    return 1;
	else
	    return 0;
}

int TSDDA_mikrotero(TStoixeiouDDA s1, TStoixeiouDDA s2){
	if ( strcmp( s1.key, s2.key )<0)
	    return 1;
	else
	    return 0;
}

int TSDDA_megalytero(TStoixeiouDDA s1, TStoixeiouDDA s2){
	if ( strcmp( s1.key, s2.key )>0)
	    return 1;
	else
	    return 0;
}

/* The Following are already Implemented using Above */

int TSDDA_mikrotero_iso(TStoixeiouDDA s1, TStoixeiouDDA s2)
{ 
    return TSDDA_mikrotero(s1,s2)||TSDDA_iso(s1,s2);
}

int TSDDA_megalytero_iso(TStoixeiouDDA s1, TStoixeiouDDA s2)
{
    return TSDDA_megalytero(s1,s2)||TSDDA_iso(s1,s2);
}

int TSDDA_diaforo(TStoixeiouDDA s1, TStoixeiouDDA s2)
{
    return !TSDDA_iso(s1,s2);
}
